"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PaginationQuery = void 0;
const common_1 = require("@nestjs/common");
const exceptions_1 = require("../exceptions");
exports.PaginationQuery = (0, common_1.createParamDecorator)((data, context) => {
    if (context.getType() === 'http') {
        const host = context.switchToHttp();
        const req = host.getRequest();
        const payload = {
            path: req.path,
        };
        if (req.query) {
            if ('offset' in req.query) {
                payload['offset'] = parseInt(req.query.offset);
            }
            if ('page' in req.query) {
                payload['page'] = parseInt(req.query.page);
            }
        }
        return payload;
    }
    throw new exceptions_1.OnlyHttpContextException();
});
